#include <bits/stdc++.h>

using namespace std;

#define MOD 1000000009
int main()
{
    long long n,resenje=0;
    cin>>n;
    string red="ABCDEFGHIJKLMNOPQRSTUVWXYZ";
    long long matrica[27][n+1];
    char rec[n];
    for(int i=0;i<n;i++)
    {
        cin>>rec[i];
    }
    for(int i=0;i<n;i++)
    {
        matrica[0][i]=1;
    }
    for(int i=1;i<27;i++)
    {
        matrica[i][0]=0;
    }
    for(int i=1;i<27;i++)
    {
        for(int j=1;j<n+1;j++)
        {
            if(red[i-1]==rec[j-1])
            {
                matrica[i][j]=matrica[i][j-1]+matrica[i-1][j-1];
            }else{
                matrica[i][j]=matrica[i][j-1];
            }
        }
    }
    resenje=matrica[26][n]%MOD;
    cout<<resenje;
}